--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: KirbyBase::KBTable::KBIndex
includes: 
- !ruby/object:RI::IncludedModule 
  name: KBTypeConversionsMixin
- !ruby/object:RI::IncludedModule 
  name: KBEncryptionMixin
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_index_rec
- !ruby/object:RI::MethodSummary 
  name: append_new_rec_to_index_array
- !ruby/object:RI::MethodSummary 
  name: delete_index_rec
- !ruby/object:RI::MethodSummary 
  name: get_idx
- !ruby/object:RI::MethodSummary 
  name: get_timestamp
- !ruby/object:RI::MethodSummary 
  name: rebuild
- !ruby/object:RI::MethodSummary 
  name: update_index_rec
name: KBIndex
superclass: Object
